#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfdesktop
Version		:	4.14.2
Release		:	16.2.1.rel%{?dist}

Summary		:	A desktop manager for the Xfce Desktop Environment.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/xfdesktop

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	exo
BuildRequires	:	libwnck
BuildRequires	:	libxfce4ui
BuildRequires	:	thunar
BuildRequires	:	libnotify

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
%{name} is a desktop manager for the Xfce Desktop Environment.
Desktop in this respect means the root window (or, rather,
a window that sits on top of the root window). The manager
handles the following tasks:
- background image / color
- root menu, window list
- minimized app icons
- file icons on the desktop (using thunar libs)

%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/icons/hicolor/scalable/apps/xfce4-*.svg
%{_datadir}/icons/hicolor/*/apps/xfce4-*.png
%{_datadir}/pixmaps/xfce4_*.png
%{_datadir}/pixmaps/%{name}/%{name}-*-icon.png
%{_datadir}/applications/xfce-backdrop-settings.desktop
%{_datadir}/backgrounds/xfce/xfce-*.jpg
%{_datadir}/backgrounds/xfce/xfce-*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/*1.gz

#-------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi
#-------------------------------------------------------------------

%changelog
